import React from 'react';
import { Global, css } from '@emotion/react';
import tw, { theme, GlobalStyles as BaseStyles } from 'twin.macro';
import { fillParentCss } from './fill-parent';

const customStyles = css({
  body: {
    WebkitTapHighlightColor: theme`colors.purple.500`,
    ...tw`antialiased`,
    ...tw`dark:bg-dark-800 bg-dark-100 dark:text-gray-100 text-gray-800`,
    ...fillParentCss,
  },
  html: {
    ...fillParentCss,
  },
  '#root': {
    ...fillParentCss,
  },
  '::-webkit-scrollbar': tw`w-1.5 h-1.5`,
  '::-webkit-scrollbar-button': tw`hidden`,
  '::-webkit-scrollbar-track': tw`bg-transparent`,
  '::-webkit-scrollbar-track-piece': tw`bg-transparent`,
  '::-webkit-scrollbar-thumb': tw`bg-gray-300 dark:(bg-gray-700/50 hover:bg-gray-700/90 active:bg-gray-700/100) transition-colors rounded-full`,
  '::-webkit-scrollbar-corner': tw`bg-gray-600`,
  '::-webkit-resizer': tw`hidden`,
});

const GlobalStyles = () => (
  <>
    <BaseStyles />
    <Global styles={customStyles} />
  </>
);

export default GlobalStyles;
